#!/bin/sh

# /etc/init.d/cvsd script for starting cvsd
# Copyright (C) 2002 Arthur de Jong
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

CVSD_BIN=/usr/local/sbin/cvsd
DESC="cvs pserver chroot wrapper"
CVSD_CFG=/usr/local/etc/cvsd/cvsd.conf
PIDFILE=/var/run/cvsd.pid

[ -x "$CVSD_BIN" ] || exit 0
[ -f "$CVSD_CFG" ] || exit 0

case "$1" in
start)
  echo -n "Starting $DESC: cvsd"
  start-stop-daemon --start --quiet \
                    --pidfile $PIDFILE \
                    --exec $CVSD_BIN \
                    -- -f $CVSD_CFG \
    || echo -n " already running"
  echo "."
  ;;
stop)
  echo -n "Stopping $DESC: cvsd"
  start-stop-daemon --stop --quiet  \
                    --pidfile $PIDFILE \
                    --exec $CVSD_BIN \
    || echo -n " not running"
  echo "."
  rm -f $PIDFILE
  ;;
restart|force-reload)
  $0 stop
  sleep 2
  $0 start
  ;;
*)
  echo "Usage: $0 {start|stop|restart|force-reload}" >&2
  exit 1
  ;;
esac

exit 0
